# AODataCreateBasic

Creates an AO datastructure.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataCreateBasic(MPI_Comm comm,AOData *aoout)

Collective on MPI_Comm

### Input Parameters

comm -MPI communicator that is to share AO

### Output Parameter

aoout -the new database

### Options Database Keys

| -ao_data_view | - Prints entire database at the conclusion of AODataSegmentAdd()
| -ao_data_view_info | - Prints info about database at the conclusion of AODataSegmentAdd()

### Keywords

AOData, create

### See Also

AODataSegmentAdd(), AODataDestroy()

Level:intermediate
Location:src/dm/ao/impls/basic/aodatabasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages